Package org.apache.sysds.hops

# Enum Class OptimizerUtils.MemoryManager

java.lang.Object
java.lang.Enum<OptimizerUtils.MemoryManager>
org.apache.sysds.hops.OptimizerUtils.MemoryManager

All Implemented Interfaces:
  `Serializable`, `Comparable<OptimizerUtils.MemoryManager>`, `Constable`

Enclosing class:
  OptimizerUtils

public static enum OptimizerUtils.MemoryManager extends Enum<OptimizerUtils.MemoryManager>
Memory managers (static partitioned, unified)

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`STATIC_MEMORY_MANAGER`
`UNIFIED_MEMORY_MANAGER`

## Method Summary

Modifier and Type
Method
Description
`static OptimizerUtils.MemoryManager`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OptimizerUtils.MemoryManager[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STATIC_MEMORY_MANAGER

public static final OptimizerUtils.MemoryManager STATIC_MEMORY_MANAGER

### UNIFIED_MEMORY_MANAGER

public static final OptimizerUtils.MemoryManager UNIFIED_MEMORY_MANAGER

## Method Details

### values

public static OptimizerUtils.MemoryManager[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OptimizerUtils.MemoryManager valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null